#
# Copyright (C) 2017-2020 Red Hat, Inc.
#
# Cockpit is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# Cockpit is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with Cockpit; If not, see <http://www.gnu.org/licenses/>.
#

Name:           cockpit-podman
Version:        86
Release:        1.20240425090625076084.pr1686.28.gf1addf6%{?dist}
Summary:        Cockpit component for Podman containers
License:        LGPL-2.1-or-later
URL:            https://github.com/cockpit-project/cockpit-podman

Source0:        cockpit-podman-86.28.gf1addf6.tar.xz
BuildArch:      noarch
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires:  make
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires:       cockpit-bridge
Requires:       podman >= 2.0.4
# HACK https://github.com/containers/crun/issues/1091
%if 0%{?centos} == 9
Requires:       criu-libs
%endif

Provides: bundled(npm(@patternfly/patternfly)) = 5.3.0
Provides: bundled(npm(@patternfly/react-core)) = 5.3.0
Provides: bundled(npm(@patternfly/react-icons)) = 5.3.0
Provides: bundled(npm(@patternfly/react-styles)) = 5.3.0
Provides: bundled(npm(@patternfly/react-table)) = 5.3.0
Provides: bundled(npm(@patternfly/react-tokens)) = 5.3.0
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(date-fns)) = 3.6.0
Provides: bundled(npm(docker-names)) = 1.2.1
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.2
Provides: bundled(npm(ipaddr.js)) = 2.2.0
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.2.0
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.2.0
Provides: bundled(npm(scheduler)) = 0.23.0
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.0
Provides: bundled(npm(tslib)) = 2.6.2
Provides: bundled(npm(xterm-addon-canvas)) = 0.4.0
Provides: bundled(npm(xterm)) = 5.1.0

%description
The Cockpit user interface for Podman containers.

%prep
%setup -q -n cockpit-podman

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Thu Apr 25 2024 Packit <hello@packit.dev> - 86-1.20240425090625076084.pr1686.28.gf1addf6
- Makefile: Update Cockpit lib to d39255f6f768cc1c37a5786be8e8dc9d (Cockpit Project)
- Bump stylelint from 16.3.1 to 16.4.0 in the stylelint group (dependabot[bot])
- Bump ipaddr.js from 2.1.0 to 2.2.0 (dependabot[bot])
- eslint: enable no-useless-fragment rule by default (Jelle van der Waa)
- test: enable ruff preview rules (Jelle van der Waa)
- Bump the patternfly group with 6 updates (dependabot[bot])
- Small cleanups in format_memory_and_limit() (Martin Pitt)
- Replace unnecessary usage of utils.format_memory_and_limit() (Martin Pitt)
- Drop "factor=1000" argument from cockpit.format_bytes() (Martin Pitt)
- Makefile: Update Cockpit lib to 5516784bc7aba7c6fb02d19c57afc4de (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- fmf: Restrict "-stream" TEST_OS suffix to CentOS 8/9 (Martin Pitt)
- Pass all local images for container integration details (Jelle van der Waa)
- test: Adjust testRunImageUser() for RestartPolicy API change too (Martin Pitt)
- test: Adjust expected HealthCheck API format (Martin Pitt)
- test: Adjust expected default RestartPolicy value (Martin Pitt)
- cockpit-ci: Update container to 2024-04-08 (Cockpit Project)
- Bump sass from 1.74.1 to 1.75.0 (dependabot[bot])
- Makefile: Update Cockpit lib to 3ec539a4e0f78dab6ef77f88aa717d4d (Cockpit Project)
- workflows: Run tasks-container-update in "self" environment (Martin Pitt)
- cockpit-ci: Update container to 2024-04-06 (Cockpit Project)
- Bump sass from 1.72.0 to 1.74.1 (dependabot[bot])
- Makefile: Treat *-bootc images as OSTree (Martin Pitt)
- tmt: Pass TEST_AUDIT_NO_SELINUX into test container (Marius Vollmer)
- Makefile: Update Cockpit lib to 4c4356e4ddbd9e716b5f364a5c4fed74 (Cockpit Project)
- Bump the stylelint group with 1 update (dependabot[bot])
- workflows: Run tasks-container-update.yml in quay.io/cockpit/tasks (Martin Pitt)
- Makefile: Update Cockpit lib to f2cc9e1a360e69dc55b8f9f26f367eb4 (Cockpit Project)
